Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# ID_Factory.h File Reference

`#include "notify_export.h"`
`#include "ace/Atomic_Op.h"`
`#include "Object.h"`

Include dependency graph for ID_Factory.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_Notify_ID_Factory
| A simple factory for generating ID's for objects created by Notify. More...

## Detailed Description

Id:
  ID_Factory.h,v 1.7 2003/10/28 18:34:23 bala Exp

Author:
  Pradeep Gore <pradeep@oomworks.com>